Subject: Re: Linux on Memec Virtex II Pro V4P7 Rev. 3

From: Andrei Konovalov <[email-masked]>
Date: Tue, 05 Oct 2004 20:05:29 +0400

Jon Masters wrote:
> [ Will followup only to linuxppc-embedded ]
> 
> On Tue, 5 Oct 2004 13:26:15 +0200, Luca Giuliani <[email-masked]> wrote:
> 
> 
...
>>I'm using the patched 2.4.22 patched by Mind.be, freely available on
>>their FTP site.
> 
> 
> You need a few extra patches such as the one to use even TLBs only
> that I and others ended up implementing on the engineering v2ps.

This one does present in the patch from Mind.be. Look for
CONFIG_IBM405D5XN_TLB_BUG in patch-platform-insightv2pro.

...
> It's necessary elsewhere too so I wouldn't get too worked up about
> that. The Monta guys don't get this problem on their shiney ML300s but
> then if I wanted to expense 6K to Xilinx for a touchscreen board I
> might buy one too :-).

We have the Memec board running as well. With P160 COMM module though.
I've posted the patch last Friday, but it got into the bi_recs thread - my
fault (hopefully doesn't affect those not reading the archives).

...
> The EDK stuff sucks horribly - avoid the autogenerated platforms
> beyond the necessary. Certainly don't use the xparms file from EDK in
> your design, that supports the notion Xilinx have of shoving a HAL in
> to the kernel.

Jon,
Do you use EDK for your desing?
If yes, how do you get the addresses etc from you design without using xparams?
Do you use the mhs file for this?
I guess you do not use what Xilinx calls "OS independent drivers" (== HAL?)
too then.

...

Thanks,
Andrei